# © 2021 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import _, exceptions, fields, models


class ScopAdhesionFiles(models.Model):
    _inherit = "scop.adhesion.file"
    _description = "Documents pour adhésion des coops"

    type_doc = fields.Char("Méta : Type")

    # ------------------------------------------------------
    # Business method
    # ------------------------------------------------------
    def compulsory_doc_cmis_query(self, partner):
        backend = self.env["cmis.backend"].search([])
        backend.ensure_one()
        cmis_client = backend.get_cmis_client()
        query = (
            """
                    SELECT * FROM crm:document as d
                    JOIN crm:organisme as o ON d.cmis:objectId = o.cmis:objectId
                    WHERE o.crm:id = '%s'"""
            % partner.id
        )
        try:
            doc = cmis_client.getDefaultRepository().query(query)
            result = doc.getResults()
            return result
        except Exception as e:
            raise exceptions.UserError(
                _(
                    "Impossible de vérifier les documents d'adhésion"
                    " dans Alfresco : %s"
                )
                % e
            )
